// Ein Zahlen-Pangramm ist eine Zahl (hier Typ long), die alle 10 Ziffern mindestens einmal enthaelt
// Beispiele:
// 1234567890
// -91282760343645
public class UE5Aufgabe55 {

	// alle Ziffern (0-9) durchlaufen; pruefen ob diese Ziffer in Zahl vorkommt
	public static void main(String[] args) {
		long input = IO.readLong("Bitte Zahl eingeben: ");
		if (input < 0) {
			input = -input;
		}
		System.out.println(input);
		for (int digit = 0; digit <= 9; digit++) {
			boolean contains = false;
			long number = input;
			while (number > 0) {
				if (number % 10 == digit) {
					contains = true;
					break;
				}
				number = number / 10;
			}
			if (!contains) {
				System.out.println("Die eingegebene Zahl ist kein Zahlen-Pangramm!");
				return;
			}
		}
		System.out.println("Die eingegebene Zahl ist ein Zahlen-Pangramm");
	}

}
