/*

 Schreiben Sie ein Programm, das den Benutzer auffordert, eine Zahl n grer als 0 einzugeben, und das anschlieend
 ein haus-hnliches Gebilde der folgenden Form auf den Bildschirm zeichnet:
 
    +--+
   /    \
  /      \
 +        +
 |        |
 |        |
 +--------+
      
      +----+
     /      \
    /        \
   /          \
  /            \
 +              +
 |              |
 |              |
 |              |
 |              |
 +--------------+

 n (in den Beispielen ist n = 2 und n = 4) soll dabei die Hhe des Hauses, die Hhe des Daches und die Lnge des Dachfirst ausmachen.
 */
public class UE5Aufgabe29 {

	public static void main(String[] args) {

		// Eingabe der Laenge

		int laenge = IO.readInt("Lnge (>0): ");
		while (laenge <= 0) {
			laenge = IO.readInt("Fehlerhafte Eingabe; Lnge (>0): ");
		}

		// zeichne Dachfirst

		for (int i = 0; i <= laenge; i++) {
			System.out.print(' ');
		}
		System.out.print('+');

		for (int i = 0; i < laenge; i++) {
			System.out.print('-');
		}
		System.out.println('+');

		// zeichne Dach

		for (int r = 0; r < laenge; r++) {

			// zeichne eine Dachreihe

			for (int i = 0; i < laenge - r; i++) {
				System.out.print(' ');
			}
			System.out.print('/');
			for (int i = 0; i < laenge + 2 * (r + 1); i++) {
				System.out.print(' ');
			}
			System.out.println('\\');
		}

		// zeichne Rumpf

		// oberste Rumpfreihe
		System.out.print('+');
		for (int i = 0; i < 3 * laenge + 2; i++) {
			System.out.print(' ');
		}
		System.out.println('+');

		// mittlere Rumpfreihen
		for (int r = 0; r < laenge; r++) {
			System.out.print('|');
			for (int i = 0; i < 3 * laenge + 2; i++) {
				System.out.print(' ');
			}
			System.out.println('|');
		}

		// unterste Rumpfreihe
		System.out.print('+');
		for (int i = 0; i < 3 * laenge + 2; i++) {
			System.out.print('-');
		}
		System.out.println('+');

	}

}
